Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Lisp
  Textbreite

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Textbreite (676 mal gelesen)
wasc
Mitglied
Bautechniker


Sehen Sie sich das Profil von wasc an!   Senden Sie eine Private Message an wasc  Schreiben Sie einen Gästebucheintrag für wasc

Beiträge: 52
Registriert: 15.04.2005

Windows 2000, ACAD2005, P4 2,8

erstellt am: 30. Jun. 2005 17:16    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


Filter.txt

 
hallo !
im anhang habe ich ein lisp eingefügt welches ich
gerne etwas erweitern möchte.
ich würde gerne zusätzlich die textbreite der im auswahlsatz
befindlichen objekte automatisch auf eine bestimmte
breite verändern.
da ich von lisp leider sehr wenig ahnung habe, bitte ich euch, mir
bitte zu helfen.

besten dank im voraus
      walter


Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Proxy
Ehrenmitglied
Stateless-DHCP v6-Paketfragmentierer


Sehen Sie sich das Profil von Proxy an!   Senden Sie eine Private Message an Proxy  Schreiben Sie einen Gästebucheintrag für Proxy

Beiträge: 1627
Registriert: 13.11.2003

Tastaturen, Mäuse,
Pladden, ...,
AutoCADs 200X, SWX 2kX

erstellt am: 30. Jun. 2005 18:30    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für wasc 10 Unities + Antwort hilfreich

Die Zeile(n)

(command "ändern" AUSWAHL "" "ei" "fa" "vonlayer" "")

austauschen/erweitern gegen

(command "_.change" AUSWAHL "" "_Properties" "_color" "ByLayer" "_LWeight" "2.0" "")

als Beispiel ... 2.0 als L-Breite, ungetestet

------------------
MfG Proxy

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13435
Registriert: 30.11.2003

.

erstellt am: 30. Jun. 2005 20:56    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für wasc 10 Unities + Antwort hilfreich

Die Textbreite findest du im GC41 .. probier mal folgendes :

(defun c:test (/ AUSWAHL OBJDATA INDEX NEUE_TEXTBREITE) 
  (if(setq AUSWAHL (ssget "_X"    '((0 . "TEXT")
                                    (1 . "20 *")
                                  )
                  )           
    )     
    (progn
      (setq NEUE_TEXTBREITE 0.9)
      (setq INDEX -1)
      (repeat(sslength AUSWAHL)
        (setq OBJDATA(entget(ssname AUSWAHL(setq INDEX (1+ INDEX)))))
        (setq OBJDATA (subst (cons 41 NEUE_TEXTBREITE)(assoc 41 OBJDATA)OBJDATA))   
        (entmod OBJDATA)
      )
    )
  )
)

------------------
- Thomas -
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

wasc
Mitglied
Bautechniker


Sehen Sie sich das Profil von wasc an!   Senden Sie eine Private Message an wasc  Schreiben Sie einen Gästebucheintrag für wasc

Beiträge: 52
Registriert: 15.04.2005

Windows 2000, ACAD2005, P4 2,8

erstellt am: 01. Jul. 2005 07:50    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

hallo !
danke für die schnellen antworten !
proxy: mit der beschriebenen lösung kann ich
leider nur die breite der polylienen auf den angegeben wert
ändern. aber trotzdem danke !
cadmium: genau das habe ich benötigt !
besten dank !!

mfg walter

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz